# glm::core::type::scalar::precision Namespace Reference

Scalar types with precision qualifier. More...

## Typedefs
typedef highp_float_t | highp_float
| High precision floating-point numbers.
typedef highp_int_t | highp_int
| High precision signed integer.
typedef highp_uint_t | highp_uint
| High precision unsigned integer.
typedef lowp_float_t | lowp_float
| Low precision floating-point numbers.
typedef lowp_int_t | lowp_int
| Low precision signed integer.
typedef lowp_uint_t | lowp_uint
| Low precision unsigned integer.
typedef mediump_float_t | mediump_float
| Medium precision floating-point numbers.
typedef mediump_int_t | mediump_int
| Medium precision signed integer.
typedef mediump_uint_t | mediump_uint
| Medium precision unsigned integer.

## Detailed Description

Scalar types with precision qualifier.

This namespace is included in glm namespace.

## Typedef Documentation

typedef highp_float_t highp_float

High precision floating-point numbers.

There is no garanty on the actual precision. From GLSL 1.30.8 specification

Definition at line 52 of file type_float.hpp.

typedef highp_int_t highp_int

High precision signed integer.

There is no garanty on the actual precision. From GLSL 1.30.8 specification.

Definition at line 77 of file type_int.hpp.

typedef highp_uint_t highp_uint

High precision unsigned integer.

There is no garanty on the actual precision. From GLSL 1.30.8 specification.

Definition at line 90 of file type_int.hpp.

typedef lowp_float_t lowp_float

Low precision floating-point numbers.

There is no garanty on the actual precision. From GLSL 1.30.8 specification

Definition at line 44 of file type_float.hpp.

typedef lowp_int_t lowp_int

Low precision signed integer.

There is no garanty on the actual precision. From GLSL 1.30.8 specification.

Definition at line 69 of file type_int.hpp.

typedef lowp_uint_t lowp_uint

Low precision unsigned integer.

There is no garanty on the actual precision. From GLSL 1.30.8 specification.

Definition at line 82 of file type_int.hpp.

typedef mediump_float_t mediump_float

Medium precision floating-point numbers.

There is no garanty on the actual precision. From GLSL 1.30.8 specification

Definition at line 48 of file type_float.hpp.

typedef mediump_int_t mediump_int

Medium precision signed integer.

There is no garanty on the actual precision. From GLSL 1.30.8 specification.

Definition at line 73 of file type_int.hpp.

typedef mediump_uint_t mediump_uint

Medium precision unsigned integer.

There is no garanty on the actual precision. From GLSL 1.30.8 specification.

Definition at line 86 of file type_int.hpp.